Update customer customizations
PUT
/customers/customizations
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Request Body
application/json
JSON
[
{
"name": "string",
"label": "string",
"hint": "string",
"type": "string",
"required": true,
"localized": true,
"select_options": [
{
"id": "string",
"position": 0,
"name": "string",
"slug": "string"
}
]
}
]
Responses
customizations updated
application/json
JSON
[
{
"name": "string",
"label": "string",
"hint": "string",
"type": "string",
"required": true,
"required_expression": "string",
"immutable": true,
"localized": true,
"unique": true,
"encrypted": true,
"auto_expand": true,
"select_options": [
{
"id": "string",
"position": 0,
"name": "string",
"slug": "string"
}
],
"private_storage": true,
"text_formatting": "string",
"reference": "string",
"geo_type": "string",
"calculated_expression": "string",
"calculation_type": "string",
"id": "string",
"url": "string",
"created_at": "string",
"updated_at": "string"
}
]